id: spotify-phish

info:
  name: spotify phishing Detection
  author: rxerium
  severity: info
  description: |
    A spotify phishing website was detected
  reference:
    - https://spotify.com
  metadata:
    max-request: 1
  tags: phishing,spotify,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Spotify - Web Player: Music for everyone'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"spotify.com")'
# digest: 4a0a0047304502201ceed2827c691a392a4248631cdfcbc09e071ebe0f0509434e970282473c2454022100b5b9953070143e9d7c527cf2c5c82d8cf5101c2525d1de317e8ae988d6dba606:922c64590222798bb761d5b6d8e72950